#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,x;
    scanf("%d%d",&n,&x);
    vector<int> niz;
    int p;
    for(int i=0;i<n;i++){
        scanf("%d",&p);
        niz.push_back(p);
    }
    sort(niz.begin(),niz.end());
    int pd = niz.at(n-1) - x;
    int pl = x- niz.at(0);
    if(pd<0)
        pd=0;
    if(pl<0)
        pl=0;
    if(pl>=pd)
        pd*=2;
    else
        pl*=2;
    printf("%d - %d\n",pl,pd);
    printf("%d",pd+pl);
    return 0;
}